## ispell-fo 0.1.16

=== Makefile ===
installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

all: froyskt.hash

install: froyskt.hash froyskt.aff
	install -o root -g root -m 0644 froyskt.hash $(installdir)
	install -o root -g root -m 0644 froyskt.aff $(installdir)

froyskt.hash: froyskt.aff words-fo.ispell
	buildhash words-fo.ispell froyskt.aff froyskt.hash

clean:
	rm -f words-fo.ispell.stat froyskt.hash words-fo.ispell.cnt *~

## ispell-fo 0.2.2

=== Makefile ===
LANG=C.ISO8859-1

sprog=froyskt
sprog_en=Faroese
sprogkode=fo
landekode=FO

lang = fo
version = 2

installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

all: maskbits $(sprog).hash

maskbits:
	@if [ "`ispell -vv | grep MASKBITS | cut -d= -f2`" -le 63 ]; then echo Ispell should be compiled with MASKBITS set to at least 64.; exit -1; fi

install: maskbits $(sprog).hash $(sprog).aff
	install -o root -g root -m 0644 $(sprog).hash $(installdir)
	install -o root -g root -m 0644 $(sprog).aff $(installdir)
	ln -s $(installdir)/$(sprog).hash $(installdir)/$(sprogkode)_$(landekode).hash
	ln -s $(installdir)/$(sprog).aff  $(installdir)/$(sprogkode)_$(landekode).aff

$(sprog).hash: maskbits $(sprog).aff words-$(sprogkode).ispell
	buildhash words-$(sprogkode).ispell $(sprog).aff $(sprog).hash

clean:
	rm -f words-$(sprogkode).ispell.stat $(sprog).hash words-$(sprogkode).ispell.cnt *~

## ispell-fo 0.2.16

=== Makefile ===
LANG=fo_FO.ISO8859-1

sprog=froyskt
sprog_en=Faroese
sprog_en_lower_case=faroese
sprogkode=fo
landekode=FO

lang = fo
version = 0.2.16

installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

all: maskbits $(sprog).hash

maskbits:
	@test "`ispell -vv | grep MASKBITS`" != ""              || ( echo Ispell should be compiled with MASKBITS set to at least 64. ; exit -2 )
	@test `ispell -vv | grep MASKBITS | cut -d= -f2` -ge 64 || ( echo Ispell should be compiled with MASKBITS set to at least 64. ; exit -3 )

install: maskbits $(sprog).hash $(sprog).aff
	install -o root -g root -m 0644 $(sprog).hash $(installdir)
	install -o root -g root -m 0644 $(sprog).aff $(installdir)
	ln -fs $(installdir)/$(sprog).hash $(installdir)/$(sprogkode)_$(landekode).hash
	ln -fs $(installdir)/$(sprog).aff  $(installdir)/$(sprogkode)_$(landekode).aff
	ln -fs $(installdir)/$(sprog).hash $(installdir)/$(sprog_en_lower_case).hash
	ln -fs $(installdir)/$(sprog).aff  $(installdir)/$(sprog_en_lower_case).aff

$(sprog).hash: maskbits $(sprog).aff words-$(sprogkode).ispell
	buildhash words-$(sprogkode).ispell $(sprog).aff $(sprog).hash

clean:
	rm -f words-$(sprogkode).ispell.stat $(sprog).hash words-$(sprogkode).ispell.cnt *~

## ispell-fo 0.2.25

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.16
+version = 0.2.25
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.27

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.25
+version = 0.2.27
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.28

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.27
+version = 0.2.28
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.30

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.28
+version = 0.2.30
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.32

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.30
+version = 0.2.32
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.33

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.32
+version = 0.2.33
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.35

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.33
+version = 0.2.35
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.36

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.35
+version = 0.2.36
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.39

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.36
+version = 0.2.39
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.40

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.39
+version = 0.2.40
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.2.43

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.40
+version = 0.2.43
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.4.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.2.43
+version = 0.4.0
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.4.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.4.0
+version = 0.4.1
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

## ispell-fo 0.4.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 landekode=FO
 
 lang = fo
-version = 0.4.1
+version = 0.4.2
 
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

=== debian/changelog ===
ispell-fo (0.4.2-6) unstable; urgency=low

  *  debian/control:
    - Make aspell-fo "Multi-Arch: foreign" (See aspell-en #763892).
    - Update Vcs-Browser to cgit address.
    - Bump Standards-Version. No changes required.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 15:29:57 +0200

ispell-fo (0.4.2-5) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 10:55:55 +0200

ispell-fo (0.4.2-4) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.0.
  * debian/rules: Add -c option when creating fo.cwl.gz

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2014 15:42:15 +0200

ispell-fo (0.4.2-3~exp1) experimental; urgency=low

  * Rebuild against experimental dictionaries-common-dev

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 Mar 2014 20:05:41 +0100

ispell-fo (0.4.2-2) unstable; urgency=low

  * Modify to use dictionaries-common-dev (>= 1.22.0) features:
    - ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
    - Deal with remove files in debhelper snippet.
  * debian/control: Bump Standards Version. No changes required.
  * Add debian/source/format for 3.0 (quilt).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Mar 2014 18:50:29 +0100

ispell-fo (0.4.2-1) unstable; urgency=low

  * New Upstream version.
  * debian/control: Canonicalize VCS-* headers.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Sep 2013 16:12:57 +0200

ispell-fo (0.4.1-1) unstable; urgency=low

  *  New Upstream version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 03 May 2012 17:12:01 +0200

ispell-fo (0.4.0-2) unstable; urgency=low

  * debian/control:
    - Improve myspell-fo suggestions line and add libreoffice.
    - myspell-fo does not need to provide hunspell dictionary.
    - Raise dictionaries-common Build-Dep to one with a safer
      auto-compat implementation (1.11.2).
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 15:11:53 +0200

ispell-fo (0.4.0-1) unstable; urgency=low

  * New Upstream version.
  * debian/control:
    - Fix lintian description-synopsis-starts-with-article.
    - Bump Standards version. No changes required.
  * Use affix compression for aspell dictionary.
  * debian/rules:
    - Protect against '--' in aspell target.
    - Compact fo.cwl.gz creation.
    - Remove words-fo.stat in clean target.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 08 Jun 2011 17:48:50 +0200

ispell-fo (0.2.44-3) unstable; urgency=low

  * Build depend on newer dictionaries-common-dev (>= 1.10.9)
    to use preinst snippets for auto-hash.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 May 2011 19:25:24 +0200

ispell-fo (0.2.44-2) unstable; urgency=low

  * No longer need to explicitly create /var/lib/{a,i}spell dir
    and /usr/lib/{a,i}spell/$hash->/var/lib/{a,i}spell/$hash
    symlinks. dictionaries-common.dev (>= 1.10.3) installdeb-*
    will care of this.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 15 Mar 2011 18:01:33 +0100

ispell-fo (0.2.44-1) unstable; urgency=low

  * New Upstream Version.
  * No longer ship empty hash and compat files to be modified
    from maintainer scripts, but use new dictionaries-common-dev
    auto-compat capability.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 02 Mar 2011 19:20:43 +0100

ispell-fo (0.2.43-1) unstable; urgency=low

  * New Upstream Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 16 Dec 2010 16:03:05 +0100

ispell-fo (0.2.42-1) unstable; urgency=low

  * New Upstream Version.
  * Bump Standards-Version. No changes required.
  * debian/watch: Look for tar.gz file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 07 Oct 2010 14:06:34 +0200

ispell-fo (0.2.40-1) unstable; urgency=low

  * New Upstream Version.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 02 Jun 2010 18:26:35 +0200

ispell-fo (0.2.39-1) unstable; urgency=low

  * New Upstream Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jan 2010 12:49:21 +0100

ispell-fo (0.2.38-2) unstable; urgency=low

  * Make sure we no longer create Mozilla* symlinks in new destdir
    by using installdeb-myspell (> 1.4).
  * Fix hashname in myspell-fo.info-hunspell

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 25 Nov 2009 13:02:55 +0100

ispell-fo (0.2.38-1) unstable; urgency=low

  * New Upstream Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 10 Nov 2009 13:34:03 +0100

ispell-fo (0.2.37-1) unstable; urgency=low

  * New Upstream Version.
  * Use automatic symlink creation from installdeb-myspell 1.3.2

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 07 Sep 2009 13:24:51 +0200

ispell-fo (0.2.36-3) unstable; urgency=low

  * Bump Standards Version to 3.8.3. No changes required.
  * Install myspell dicts in new location. Use new
    installdeb-myspell (at least 1.3) for this and for
    compatibility symlinks (Closes: #541918).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Aug 2009 15:58:20 +0200

ispell-fo (0.2.36-1) unstable; urgency=low

  * New Upstream Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 22 May 2009 12:26:13 +0200

ispell-fo (0.2.35-3) unstable; urgency=low

  * debian/*.info-*spell, debian/control:
    - Do not explicitly add '-d <lang>' to ispell-args. New
      dictionaries-common will take care of that.
  * debian/control:
    - Build Dep on at least dictionaries-common-dev 1.2 to use
      new debhelper snippets.
  * Raise debhelper compat level to 7. Use dh_prep.
  * Raise Standards-Version to 3.8.1. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 15 Mar 2009 22:44:48 +0100



=== debian/control ===
Source: ispell-fo
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Section: text
Priority: optional
Homepage: http://fo.speling.org
Vcs-Git: git://anonscm.debian.org/users/agmartin/ispell-fo.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/agmartin/ispell-fo.git/
Build-Depends-Indep: aspell,
		     ispell,
		     dictionaries-common-dev (>= 1.23.2),
		     hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-7)
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.6

Package: ifaroese
Architecture: all
Depends: ${misc:Depends},
	 debconf | debconf-2.0,
	 ${ispell:Depends}
Provides: ispell-dictionary
Suggests: wfaroese
Description: Faroese dictionary for ispell
 This is the Faroese dictionaries, to be used with ispell
 to check and correct spelling in Faroese texts.

Package: wfaroese
Architecture: all
Depends: ${misc:Depends},
	 debconf | debconf-2.0,
	 ${wordlist:Depends}
Provides: wordlist
Description: Faroese dictionary / wordlist
 This is a flat list of Faroese words and names. This can be used
 by spellcheckers or any other purpose needing a lot of words.

Package: aspell-fo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${aspell:Depends}
Provides: aspell-dictionary
Description: Faroese dictionary for aspell
 This is the Faroese dictionaries, to be used with aspell
 to check and correct spelling in Faroese texts.

Package: myspell-fo
Architecture: all
Depends: ${misc:Depends},
	 ${hunspell:Depends}
Suggests: hunspell,
	  libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
	  iceape-browser | iceweasel | icedove
Conflicts: openoffice.org (<= 1.0.3-2),
	   openoffice.org-spellcheck-fo,
	   myspell-fo-fo
Provides: openoffice.org-spellcheck-fo,
	  myspell-dictionary,
	  myspell-dictionary-fo,
	  myspell-fo-fo
Replaces: openoffice.org-spellcheck-fo,
	  myspell-fo-fo
Description: Faroese dictionary for myspell
 This is the Faroese dictionaries, to be used with myspell
 to check and correct spelling in Faroese texts.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_COMPAT=5
# export DH_OPTIONS

ISOLANG   = fo
WOPKG     = wfaroese
ISPKG     = ifaroese
ASPKG     = aspell-fo
MYPKG     = myspell-fo
OOOTMP    = ooo-tmp
name_8    = froyskt

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	make $(name_8).hash
	ln -fs $(name_8).hash faroese.hash
	ln -fs $(name_8).aff faroese.aff
# --------- wordlist ------------------
	cat words-fo.ispell | ispell -d ./faroese -e | \
		tr -s ' ' '\n' | sort | uniq > faroese.words
# --------- ifaroese ------------------
	gzip -9 -c words-fo.ispell > faroese.mwl.gz
# --------- aspell-fo -----------------
	grep -v -e '--' words-fo.ispell | prezip -s -c | gzip -9 -c > fo.cwl.gz
# --------- myspell-fo-fo -------------
	ispellaff2myspell --charset=latin1 \
			  --printcomments \
			  --myheader=debian/fo_FO.header \
			  faroese.aff > fo_FO.myaff
	( echo `cat  words-fo.ispell | wc -l`; cat words-fo.ispell ) > fo_FO.mydict
# -------------------------------------
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	make clean
	rm -f fo.cwl.gz faroese.mwl.gz
	rm -f faroese.hash faroese.aff faroese.words words-fo.stat
	rm -f fo_FO.myaff fo_FO.mydict
	rm -f build-stamp
	rm -rf $(OOOTMP)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# --------- wordlist ------------------
	install -m 644 faroese.words debian/wfaroese/usr/share/dict/faroese
	installdeb-wordlist -pwfaroese # This calls internally dh_installdebconf
# --------- ifaroese ------------------
	install -o root -g root -m 644 faroese.aff debian/ifaroese/usr/lib/ispell
	install -o root -g root -m 644 faroese.mwl.gz debian/ifaroese/usr/share/ispell
	installdeb-ispell -pifaroese # This calls internally dh_installdebconf
# --------- aspell-fo -----------------
	echo "add fo.rws"   > debian/aspell-fo/usr/lib/aspell/fo.multi
	echo "add fo.multi" > debian/aspell-fo/usr/lib/aspell/faroese.alias
	install  -o root -g root -m 644 debian/aspell/fo.dat \
		debian/aspell-fo/usr/lib/aspell/fo.dat
	install  -o root -g root -m 644 debian/aspell/fo_phonet.dat \
		debian/aspell-fo/usr/lib/aspell/fo_phonet.dat
	install  -o root -g root -m 644 fo_FO.myaff \
		debian/aspell-fo/usr/lib/aspell/fo_affix.dat
	install  -o root -g root -m 644 fo.cwl.gz \
		debian/aspell-fo/usr/share/aspell/fo.cwl.gz
	installdeb-aspell -paspell-fo
# --------- myspell-fo-fo -------------
	mkdir -p $(OOOTMP)
	install -m 644 fo_FO.mydict $(OOOTMP)/fo.dic
	install -m 644 fo_FO.myaff  $(OOOTMP)/fo.aff
	installdeb-myspell -p$(MYPKG) --srcdir=$(OOOTMP)
	installdeb-hunspell -p$(MYPKG)

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_compress
	dh_fixperms
	dh_link
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary:	binary-indep

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://fo.speling.org/filer (?:.*/)?ispell-fo-?_?([\d+\.]+|\d+)\.tar.gz debian uupdate

## ispell-fo 0.4.2%2Brepack1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 LANG=fo_FO.ISO8859-1
 
-sprog=froyskt
+sprog=føroyskt
 sprog_en=Faroese
 sprog_en_lower_case=faroese
 sprogkode=fo

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Agustin Martin Domingo <agmartin@debian.org>
 Section: text
 Priority: optional
-Homepage: http://fo.speling.org
-Vcs-Git: git://anonscm.debian.org/users/agmartin/ispell-fo.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/agmartin/ispell-fo.git/
+Homepage: https://fo.speling.org
+Vcs-Git: https://salsa.debian.org/debian/ispell-fo.git
+Vcs-Browser: https://salsa.debian.org/debian/ispell-fo
 Build-Depends-Indep: aspell,
 		     ispell,
-		     dictionaries-common-dev (>= 1.23.2),
+		     qt6-webengine-dev-tools,
+		     dictionaries-common-dev (>= 1.29.0),
 		     hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-7)
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Standards-Version: 4.6.1.0
 
 Package: ifaroese
 Architecture: all
@@ -50,13 +52,17 @@
 Suggests: hunspell,
 	  libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
 	  iceape-browser | iceweasel | icedove
-Conflicts: openoffice.org (<= 1.0.3-2),
-	   openoffice.org-spellcheck-fo,
-	   myspell-fo-fo
+Breaks: openoffice.org (<= 1.0.3-2)
+Conflicts: openoffice.org-spellcheck-fo,
+	   myspell-fo-fo,
+	   hunspell-fo
 Provides: openoffice.org-spellcheck-fo,
 	  myspell-dictionary,
 	  myspell-dictionary-fo,
-	  myspell-fo-fo
+	  myspell-fo-fo,
+	  hunspell-dictionary,
+	  hunspell-dictionary-fo,
+	  hunspell-fo
 Replaces: openoffice.org-spellcheck-fo,
 	  myspell-fo-fo
 Description: Faroese dictionary for myspell

## ispell-fo 0.4.2+repack1

=== debian/changelog ===
ispell-fo (0.4.2+repack1-7) unstable; urgency=medium

  * Make sure words-fo.stat is removed in override_dh_auto_clean target
    (Closes: #1047202).
  * debian/control:
    - Bump Standards-Version. No changes required.
    - Drop "Rules-Requires-Root: no", dpkg default since 1.22.13.
    - Drop global "Priority: optional", dpkg default since 1.22.13.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 04 Feb 2026 01:26:50 +0100

ispell-fo (0.4.2+repack1-6) unstable; urgency=medium

  * debian/control: Update myspell-fo Suggests.
  * Update some lintian overrides.
  * debian/control: Bump Standards-Version to 4.7.2. No changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 13 Oct 2025 10:45:04 +0200

ispell-fo (0.4.2+repack1-5) unstable; urgency=medium

  * Make sure faroese.hash faroese.aff are removed on
    override_dh_auto_clean target (Closes: #1047202).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 25 Aug 2023 20:20:30 +0200

ispell-fo (0.4.2+repack1-4) unstable; urgency=medium

  * Create and install hunspell dictionaries in .bdic format.
  * debian/control: Bump Standards-Version. No changes required.
  * debian/copyright: Bump Debian copyright year to 2022.
  * Fix some lintian overrides.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 13 Dec 2022 23:41:36 +0100

ispell-fo (0.4.2+repack1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Agustin Martin Domingo ]
  * Use dh_* debhelper sequencer.
  * Recode some docs to UTF-8.
  * Add some lintian overrides.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump Standards-Version again. No changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 04 Oct 2021 23:17:56 +0200

ispell-fo (0.4.2+repack1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entry 0.1.4-2.

  [ Agustin Martin Domingo ]
  * debian/watch: Bump version to 4 and use dversionmangle.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 12 Jan 2021 23:50:25 +0100

ispell-fo (0.4.2+repack1-1) unstable; urgency=medium

  * New upstream version. This is last upstream version repacked to deal
    with some non utf-8 names and contents (Closes: #958550).
    - debian/repack-local: The repacking script
    - debian/watch: Call debian/repack-local and fix location of upstream
      sources.
    - debian/rules: Recode aff name to UTF-8.
    - debian/copyright: Comment why package is repacked.
  * Bump Standards-Version. No changes required.
  * Build-Depend on debhelper-compat. Bump debhelper compat to 12.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 23 Apr 2020 23:48:48 +0200

ispell-fo (0.4.2-13) unstable; urgency=medium

  * Make faroese wordlist UTF-8. Thanks Pander (Closes: #901234).
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Jun 2018 11:50:50 +0200

ispell-fo (0.4.2-12) unstable; urgency=medium

  * debian/control:
    - Update Vcs* headers for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compatibility level to 11.
  * Make debian/copyright DEP5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 Apr 2018 17:29:50 +0200

ispell-fo (0.4.2-11) unstable; urgency=medium

  * debian/control::myspell-fo: Use Conflicts where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Sep 2015 12:23:07 +0200

ispell-fo (0.4.2-10) unstable; urgency=medium

  * debian/control:: myspell-fo: Provide hunspell counterparts.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 19:03:10 +0200

ispell-fo (0.4.2-9) unstable; urgency=medium

  * debian/control:
    - Use Breaks rather than Conflicts.
    - Break possible hunspell-fo to avoid name collisions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 15:02:02 +0200

ispell-fo (0.4.2-8) unstable; urgency=medium

  * debian/rules: Build in a reproducible and known to work LC_ALL=C
    language environment.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Jun 2015 12:49:19 +0200

ispell-fo (0.4.2-7) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #778260).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:38:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ispell-fo
 Maintainer: Agustin Martin Domingo <agmartin@debian.org>
 Section: text
-Priority: optional
 Homepage: https://fo.speling.org
 Vcs-Git: https://salsa.debian.org/debian/ispell-fo.git
 Vcs-Browser: https://salsa.debian.org/debian/ispell-fo
@@ -11,8 +10,7 @@
 		     dictionaries-common-dev (>= 1.29.0),
 		     hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-7)
 Build-Depends: debhelper-compat (= 13)
-Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.3
 
 Package: ifaroese
 Architecture: all
@@ -50,8 +48,8 @@
 Depends: ${misc:Depends},
 	 ${hunspell:Depends}
 Suggests: hunspell,
-	  libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
-	  iceape-browser | iceweasel | icedove
+	  libreoffice-core,
+	  firefox | firebox-esr | thunderbird
 Breaks: openoffice.org (<= 1.0.3-2)
 Conflicts: openoffice.org-spellcheck-fo,
 	   myspell-fo-fo,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure build is always done in a reproducible and working
# language environment
LC_ALL = C
export LC_ALL

TMP_BUILD    = tmp-build
name_8       = føroyskt

%:
	dh $@


override_dh_auto_build:
	mkdir -p $(TMP_BUILD)

	make $(name_8).hash
	ln -fs $(name_8).hash faroese.hash
	ln -fs $(name_8).aff faroese.aff
	iconv -f ISO-8859-1 -t UTF-8 < README > $(TMP_BUILD)/README
	iconv -f ISO-8859-1 -t UTF-8 < contributors > $(TMP_BUILD)/contributors

# --------- ifaroese ------------------
	gzip -9n -c words-fo.ispell > $(TMP_BUILD)/faroese.mwl.gz
	cp $(name_8).aff $(TMP_BUILD)/faroese.aff

# --------- myspell-fo-fo -------------
	ispellaff2myspell --charset=latin1 \
			  --printcomments \
			  --myheader=debian/fo_FO.header \
			  faroese.aff > $(TMP_BUILD)/fo.aff
	( echo `cat  words-fo.ispell | wc -l`; cat words-fo.ispell ) \
		> $(TMP_BUILD)/fo.dic

# --------- aspell-fo -----------------
	grep -v -e '--' words-fo.ispell | prezip -s -c | gzip -9n -c \
		> $(TMP_BUILD)/fo.cwl.gz
	cp $(TMP_BUILD)/fo.aff $(TMP_BUILD)/fo_affix.dat
	echo "add fo.rws"   > $(TMP_BUILD)/fo.multi
	echo "add fo.multi" > $(TMP_BUILD)/faroese.alias

# --------- wfaroese ------------------
	cat words-fo.ispell | ispell -d ./faroese -e | \
		tr -s ' ' '\n' | sort -u | iconv -f ISO-8859-1 -t UTF-8 \
		> $(TMP_BUILD)/faroese

override_dh_auto_clean:
	rm -rf $(TMP_BUILD)
	rm -f faroese.hash faroese.aff words-fo.stat

	dh_auto_clean

override_dh_auto_install:
	installdeb-ispell   -pifaroese
	installdeb-aspell   -paspell-fo
	installdeb-hunspell -pmyspell-fo
	installdeb-myspell  -pmyspell-fo --bdic --srcdir=$(TMP_BUILD)
	installdeb-wordlist -pwfaroese
